X2Go Bug report logs - #384
Sound stopped working on Linux X2Goclient, or: Lookin' For Cookie In All The Wrong Places

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Stefan Baur <newsgroups.mail2@stefanbaur.de>

Date: Mon, 30 Dec 2013 00:15:01 UTC

Severity: important

Tags: pending

Found in version 4.0.1.2

Fixed in version 4.0.1.3

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#384; Package x2goclient. (Mon, 30 Dec 2013 00:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 30 Dec 2013 00:15:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: submit@bugs.x2go.org
Subject: Sound stopped working on Linux X2Goclient, or: Lookin' For Cookie In All The Wrong Places
Date: Mon, 30 Dec 2013 01:10:40 +0100
package: x2goclient
severity: important
version:4.0.1.2

With X2Goclient 4.0.1.2, sound stopped working on Linux clients. Windows 
clients were unaffected.

Manually copying over the .pulse-cookie file while the session was 
running fixed the issue.
Thanks to sunweaver (Mike#1) and dowdle on IRC, enough info was gathered 
that I could put two and two together as to what went wrong.
Initial theory was that a patch was added for pulseaudio 4 (which keeps 
the .pulse-cookie file in a different location), but said patch wouldn't 
check for the version of pulseaudio actually installed on the client.  
Debian Wheezy shipping with a 2.x release of pulseaudio, the location to 
copy the file from wouldn't exist, which would explain the behavior we'd 
seen.

Close, but no cookie. (Pun intended.)

stracing x2goclient shows this:

username@mycutelittletestmachine:~/.config/pulse$ grep -i cookie stracelog
read(7, "\0\0\0\4\300\250\0\264\0\0010\0\22MIT-MAGIC-COOKIE-1\0"..., 
4096) = 317
writev(6, [{"l\0\v\0\0\0\22\0\20\0\0\0", 12}, {"", 0}, 
{"MIT-MAGIC-COOKIE-1", 18}, {"\0\0", 2}, 
{"=[\272)\364\376\331l\327\242\365\307\302\2\17J", 16}, {"", 0}], 6) = 48
stat64("/home/username.config/pulse/cookie", 0xbfacb180) = -1 ENOENT (No 
such file or directory)
stat64("/home/username.pulse-cookie", 0xbfacb180) = -1 ENOENT (No such 
file or directory)

So while it DOES attempt to check both possible locations, it actually 
checks in /home/username.config/pulse/cookie and 
/home/username.pulse-cookie while it should check in 
/home/username/.config/pulse/cookie and /home/username/.pulse-cookie - 
the slash between username and directory is missing.

Please fix ASAP.

-Stefan
PS: If anyone actually remembers the game title the second part of the 
subject is referencing: Complimentary cookie for you!


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#384; Package x2goclient. (Mon, 30 Dec 2013 00:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 30 Dec 2013 00:20:02 GMT) (full text, mbox, link).


Message #10 received at 384@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 384-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 384@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Mon, 30 Dec 2013 01:18:17 +0100 (CET)
tag #384 pending
fixed #384 4.0.1.3
thanks

Hello,

X2Go issue #384 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=02d04cd

The issue will most likely be fixed in src:x2goclient (4.0.1.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 02d04cd1091d8d6a70179aded3d06530b563806d
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Dec 30 01:18:13 2013 +0100

    Fix scan for pulseaudio cookie file. Issue got introduced in X2Go Client 4.0.1.2 and let pulseaudio sound setup fail completely in the Linux X2Go Client of that version. (Fixes: #384).

diff --git a/debian/changelog b/debian/changelog
index 6a3ef6b..7add7c1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -9,6 +9,12 @@ x2goclient (4.0.1.3-0x2go1) UNRELEASED; urgency=low
   * New upstream version (4.0.1.3):
     - Protect x2goplugin.html. Make it only available from the local host.
 
+  [ Mike Gabriel ]
+  * New upstream version (4.0.1.3):
+    - Fix scan for pulseaudio cookie file. Issue got introduced in X2Go Client
+      4.0.1.2 and let pulseaudio sound setup fail completely in the Linux
+      X2Go Client of that version. (Fixes: #384).
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 17 Dec 2013 15:34:49 +0100
 
 x2goclient (4.0.1.2-0x2go2) unstable; urgency=low


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 30 Dec 2013 00:20:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.3. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 30 Dec 2013 00:20:02 GMT) (full text, mbox, link).


Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#384. (Mon, 30 Dec 2013 00:20:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#384; Package x2goclient. (Mon, 30 Dec 2013 05:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 30 Dec 2013 05:30:02 GMT) (full text, mbox, link).


Message #22 received at 384@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 384@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#384: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Mon, 30 Dec 2013 06:14:57 +0100
Am 30.12.2013 01:18, schrieb Mike Gabriel:
> tag #384 pending
> fixed #384 4.0.1.3
> thanks
>
> Hello,
>
> X2Go issue #384 (src:x2goclient) reported by you has been
> fixed in X2Go Git.

Confirmed fixed (tested with X2Go-TCE).

-Stefan


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#384; Package x2goclient. (Wed, 22 Jan 2014 08:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 22 Jan 2014 08:00:02 GMT) (full text, mbox, link).


Message #27 received at 384@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 384-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 384@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Wed, 22 Jan 2014 08:57:52 +0100 (CET)
close #384
thanks

Hello,

we are very hopeful that X2Go issue #384 reported by you
has been resolved in the new release (4.0.1.3) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.1.3)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=63d0bbb5faa8aac57d6c5e72ce1f67dc9254b6f3;hp=f7cdada8c57c45ee9ea3b6c42bd680fae26d728c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.1.3-0x2go1
Status: RELEASE
Date: Wed, 22 Jan 2014 08:56:30 +0100
Fixes: 384
Changes: 
 x2goclient (4.0.1.3-0x2go1) RELEASED; urgency=low
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.3):
     - changed keyboard settings. Supported modes: auto, none and config with
       model/layout(variant)
     - Enables forwarding (delegation) of GSSAPI credentials to the server.
     - Make GSSAPI delegation configurable.
     - Update Russian translation file.
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.3):
     - Protect x2goplugin.html. Make it only available from the local host.
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.3):
     - Fix scan for pulseaudio cookie file. Issue got introduced in X2Go Client
       4.0.1.2 and let pulseaudio sound setup fail completely in the Linux
       X2Go Client of that version. (Fixes: #384).
     - Minor update of the German translation file.
 .
   [ Klaus Ade Johnstad ]
   * New upstream version (4.0.1.3):
     - Update Bokmal translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.1.3):
     - Update Spanish translation file.
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.1.3):
     - Update Swedish translation file.
 .
   [ Stefan Baur ]
   * New upstream version (4.0.1.3):
     - Update German translation file.
 .
   [ Martti Pitkanen ]
   * New upstream version (4.0.1.3):
     - New translation of X2Go Client to Finnish.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 22 Jan 2014 08:00:02 GMT) (full text, mbox, link).


Notification sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug acknowledged by developer. (Wed, 22 Jan 2014 08:00:02 GMT) (full text, mbox, link).


Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#384. (Wed, 22 Jan 2014 08:00:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 20 Feb 2014 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 12 23:35:47 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.